Package org.kapott.hbci.manager

# Class LogFilter

java.lang.Object
org.kapott.hbci.manager.LogFilter

public class LogFilter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`FILTER_IDS`
`static final int`
`FILTER_MOST`
`static final int`
`FILTER_NONE`
`static final int`
`FILTER_SECRETS`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSecretData(String secret, String replacement, int level)`
`void`
`clearSecretData()`
`String`
`filterLine(String line, int filterLevel)`
`static LogFilter`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FILTER_NONE

public static final int FILTER_NONE

See Also:
  - Constant Field Values

### FILTER_SECRETS

public static final int FILTER_SECRETS

See Also:
  - Constant Field Values

### FILTER_IDS

public static final int FILTER_IDS

See Also:
  - Constant Field Values

### FILTER_MOST

public static final int FILTER_MOST

See Also:
  - Constant Field Values

## Method Details

### getInstance

public static LogFilter getInstance()

### clearSecretData

public void clearSecretData()

### addSecretData

public void addSecretData(String secret, String replacement, int level)

### filterLine

public String filterLine(String line, int filterLevel)